/* Block > Carousel > Main */
.block-carousel-main .card-bg {height:900px;}
.block-carousel-main .card-overlay::before {background:linear-gradient(to bottom, rgba(0,0,0,0) 0%,rgba(0,0,0,0) 25%,rgba(0,0,0,0.7) 85%,rgba(0,0,0,0.7) 100%);}
.block-carousel-main .card-overlay .card-body {padding:0 var(--section-padding-x);top:unset;transform:none;bottom:50px;text-align:center;}
.block-carousel-main .section-title .img-fluid {height:210px;}

/* Block > Carousel > Gallery */
.block-carousel-gallery .card-bg {height:250px;}
.block-carousel-gallery .card.is-video .card-bg::after {content:"";position:absolute;top:50%;left:50%;transform:translate(-50%,-50%);width:50px;height:50px;background-repeat:no-repeat;background-position:center center;background-size:contain;background-image:url(/wp-content/themes/ocean/assets/icons/icon-play.svg); }
.block-carousel-gallery.background-contain .card .card-bg {background-size:contain !important;}

/* Block > Carousel > Video/Image */
.block-carousel-video-and-image .card-bg {height:250px;}
.block-carousel-video-and-image .card.is-video .card-bg::after {content:"";position:absolute;top:50%;left:50%;transform:translate(-50%,-50%);width:50px;height:50px;background-repeat:no-repeat;background-position:center center;background-size:contain;background-image:url(/wp-content/themes/ocean/assets/icons/icon-play.svg); }
.block-carousel-video-and-image.background-contain .card .card-bg {background-size:contain !important;}

/* Block > Carousel > Taxonomy */
.block-carousel-taxonomy .card-bg {height:350px;}
.block-carousel-taxonomy .card-body {padding:30px;}

/* Block > Carousel > Post type */
.block-carousel-post-type {overflow:hidden;}
.block-carousel-post-type .carousel-container {overflow:visible;}

/* Block > Carousel > Slider */
.block-carousel-slider .swiper-wrapper {-webkit-transition-timing-function:linear;-o-transition-timing-function:linear;transition-timing-function:linear;margin: 0 auto;}
.block-carousel-slider .swiper-slide {width:auto;}
.block-carousel-slider .slide-content {display:flex;align-items:center;}
.block-carousel-slider .slide-separator {width:10px;height:10px;border-radius:100%;background-color:var(--color-primary);display:block;margin-right:15px;}
.block-carousel-slider .text-label {font-size:20px;}

/* Block > Carousel > Reviews */
.block-carousel-reviews {overflow:hidden;}
.block-carousel-reviews .carousel-container {overflow:visible;padding-bottom:60px;}
.block-carousel-reviews .carousel-container .swiper-slide {height:auto;}
.block-carousel-reviews .swiper-pagination .swiper-pagination-bullet {border:1px solid var(--color-black);background-color:transparent;}
.block-carousel-reviews .swiper-pagination .swiper-pagination-bullet-active {background-color:var(--color-black);}
.block-carousel-reviews .carousel-container .card {min-height:100%;background-color:var(--color-white);}

/* Block > 2 Columns */
.block-2-columns .row {--bs-gutter-y:30px;}
.block-2-columns .row .row {--bs-gutter-y:0;}

/* Block > 2 Columns > Text + Image */
.block-2-columns-text-and-image .img-secondary {height:135px;margin-top:60px;object-fit:contain;object-position:center left;}

/* Section > Image/Text */
.block-2-columns-text-and-image-full-width .block-image {position:absolute;background-repeat:no-repeat;top:0;height:100%;z-index:0;width:50%;background-position:center center;}

/* Block > 2 Columns > Text + Video full width */
.block-2-columns-text-and-video-full-width {display:flex;flex-wrap:wrap;align-items:center;}
.block-2-columns-text-and-video-full-width .block-video {position:absolute;background-repeat:no-repeat;top:0;height:100%;z-index:0;width:50%;background-position:center center;}
.block-2-columns-text-and-video-full-width .block-video .wrap {height:100%;}
.block-2-columns-text-and-video-full-width .block-video .wrap video, .block-2-columns-text-and-video-full-width .block-video .wrap iframe {width:100%;height:100%;object-fit:cover;}
.block-2-columns-text-and-video-full-width .block-video.video--right {right:0;left:auto;}
.block-2-columns-text-and-video-full-width .block-video.video--left {left:0;right:auto;}

/* Block > 2 Columns > Text + Gallery */
.block-2-columns-text-and-gallery .text {width:80%;}
.block-2-columns-text-and-gallery .carousel-container {border-radius:20px;}
.block-2-columns-text-and-gallery .card .card-bg {height:auto;aspect-ratio:14/11;}

/* Block > List Taxonomy */
.block-list-taxonomy .content-container .card {border:1px solid var(--color-grey-medium);border-radius:10px;overflow:hidden;background-color:var(--color-white);}

/* Block > List Taxonomy (stile 2) */
.block-list-taxonomy-s2 .content-container .card {border:1px solid var(--color-grey-medium);border-radius:10px;overflow:hidden;background-color:var(--color-white);}

/* Block > List Documents */
.block-list-documents .content-container ul > li > a {display:block;}
.block-list-documents .content-container ul > li + li > a {padding-top:10px;margin-top:10px;border-top:1px solid var(--color-grey-medium);}

/* Block > List Cards */
.block-list-cards .card {border:1px solid var(--color-primary);border-radius:20px;height:100%;}
.block-list-cards .card .card-body {flex-grow:1;display:flex;flex-direction:column;padding:30px;}
.block-list-cards .card .card-title {font-size:35px;margin:100px 0 15px;}
.block-list-cards .card .card-intro {font-size:60px;font-weight:400;margin-bottom:auto;}
.block-list-cards .card .text ul, .block-list-cards .card .text ol {padding-left:20px;}

.block-list-cards.has-cards-unstyled .card {border:0;border-radius:0;height:auto;}
.block-list-cards.has-cards-unstyled .card .card-body {padding:0;}
.block-list-cards.has-cards-unstyled .card .card-title {font-size:20px;font-weight:400;margin:0 0 15px;}
.block-list-cards.has-cards-unstyled .card .text ul, .block-list-cards.has-cards-unstyled .card .text ol {padding:initial;}
.block-list-cards.has-cards-unstyled .card .text .list-group {flex-direction:row;flex-wrap:wrap;gap:15px 30px;}
.block-list-cards.has-cards-unstyled .card .text .list-group li {padding:0;}
.block-list-cards.has-cards-unstyled .card .text p {margin:0;}

/* Block > List Cards > Inline */
.block-list-cards-inline .card {border-bottom:1px solid var(--color-grey-medium);padding:30px 0;}
.block-list-cards-inline .card:first-child {border-top:1px solid var(--color-grey-medium);}
.block-list-cards-inline .card .card-bg {height:auto;aspect-ratio:2/1;border-radius:15px;}
.block-list-cards-inline .card .card-title {font-size:35px;}

/* Block > List Values */
.block-list-values .item-list {padding-bottom:50px;position:relative;}
.block-list-values .item-list + .item-list {border-top:1px solid rgba(10,10,10,.2);padding-top:50px;}
.block-list-values .item-list:last-child {padding-bottom:0;}
.block-list-values .item-list > .row {--bs-gutter-y:30px;}
.block-list-values .item-list .section-title {opacity:.35;transition:opacity .3s ease-in-out;}
.block-list-values .item-list .img-container {position:relative;width:100%;height:100%;pointer-events:none;opacity:0;transition:opacity .3s ease-in-out;}
.block-list-values .item-list .img-container .img-fluid {position:absolute;top:50%;left:0;right:0;transform:translate(0,-50%);border-radius:20px;}
.block-list-values .item-list .text {opacity:.2;transition:opacity .3s ease-in-out;}

.block-list-values .item-list:nth-child(2) {z-index:1;}
.block-list-values .item-list:nth-child(2) .section-title,
.block-list-values .item-list:nth-child(2) .img-container,
.block-list-values .item-list:nth-child(2) .text {opacity:1;}

.block-list-values .content-container:hover .item-list {z-index:unset;}
.block-list-values .content-container:hover .item-list .section-title {opacity:.35;}
.block-list-values .content-container:hover .item-list .img-container {opacity:0;}
.block-list-values .content-container:hover .item-list .text {opacity:.2;}

.block-list-values .content-container:hover .item-list:hover {z-index:1;}
.block-list-values .content-container:hover .item-list:hover .section-title,
.block-list-values .content-container:hover .item-list:hover .img-container,
.block-list-values .content-container:hover .item-list:hover .text {opacity:1;}

/* Block > List Values > Simple */
.block-list-values-simple .item-list {padding-bottom:50px;position:relative;}
.block-list-values-simple .item-list + .item-list {border-top:1px solid rgba(10,10,10,.2);padding-top:50px;}
.block-list-values-simple .item-list:last-child {padding-bottom:0;}
.block-list-values-simple .item-list > .row {--bs-gutter-y:30px;}
.block-list-values-simple .item-list .img-fluid {border-radius:20px;width:100%;}

/* Block > Counter */
.block-counter .counter-head {display:flex;align-items:flex-end;gap:0;}
.block-counter .counter-head .counter {font-size:85px;}
.block-counter .counter-head .counter-text {font-size:45px;}

/* Block > Counter > Alternative */
.block-counter.is-alternative .img-fluid {border-radius:20px;}
.block-counter.is-alternative .content-container > .row {--bs-gutter-y:30px;align-items:flex-end;}

/* Block > Google Maps */
.block-gmap {--map-height:400px;}
.block-gmap .contact-maps {width:100%;height:var(--map-height);border:0;}
.block-gmap .map-container {height:var(--map-height);position:relative;background-color:#f1f1f1;border-radius:15px;overflow:hidden;}
.block-gmap .map-container .cookie-accept-text {position:absolute;top:50%;transform:translate(0,-50%);left:0;right:0;margin:0 auto;text-align:center;z-index:0;padding:15px;}
.block-gmap iframe {z-index:1;position:relative;}
.block-gmap .badges-container {margin-top:30px;display:flex;flex-wrap:wrap;gap:15px 10px;}
.block-gmap .badges-container .badge {display:inline-flex;align-items:center;padding:11px 15px;border:1px solid var(--color-black);border-radius:50px;background-color:var(--color-white);color:var(--color-black);font-weight:400;font-size:16px;}
.block-gmap .badges-container .badge .icon {margin-right:10px;}

/* Block > Call to Action */
.block-cta {--section-padding-y:50px;}
.block-cta .section-title h3, .block-cta .section-title .is-h3 {font-size:50px;}


/* 
------------------------------------------
Responsive 
------------------------------------------
*/

/* Smartphone */
@media only screen and (max-width:767px) and (min-width:320px) {

  /* Block > Carousel > Main */
  .block-carousel-main .card-bg {height:300px;}
  .block-carousel-main .card-overlay .card-body {bottom:20px;}
  .block-carousel-main .section-title .img-fluid {height:80px;}

  /* Block > Carousel > Post type */
  .block-carousel-post-type .content-container {margin-top:0;}

  /* Block > 2 Columns > Text + Image */
  .block-2-columns-text-and-image .img-secondary {margin:30px 0 0;margin-left:auto;display:block;height:160px;}
  .block-2-columns-text-and-image.has-img-small .img-secondary {height:100px;}

  /* Section > Image/Text */
  .block-2-columns-text-and-image-full-width .block-image {position:relative;top:unset;width:100%;height:260px;}
  
  /* Block > 2 Columns > Text + Video full width */
  .block-2-columns-text-and-video-full-width .block-video {position:relative;background-repeat:no-repeat;top:0;height:100%;z-index:0;width:100%;height:300px !important;background-position:center center;}	
  .block-2-columns-text-and-video-full-width .block-video.video--right {right:unset;left:unset;}
  .block-2-columns-text-and-video-full-width .block-video.video--left {left:unset;right:unset;}
  .block-2-columns-text-and-video-full-width .block-video .wrap video, .block-2-columns-text-and-video-full-width .block-video .wrap iframe {height:300px !important;}

  /* Block > 2 Columns > Text + Gallery */
  .block-2-columns-text-and-gallery .text {width:100%;}
  .block-2-columns-text-and-gallery .carousel-container .swiper-pagination {bottom:15px;}

  /* Block > 2 Columns > Form */
  .block-form-2-columns .text {text-align:center;}

  /* Block > List Cards */
  .block-list-cards .card {border-radius:15px;}
  .block-list-cards .card .card-body {padding:20px;}
  .block-list-cards .card .card-title {font-size:25px;margin:50px 0 10px;}
  .block-list-cards .card .card-intro {font-size:35px;}

  .block-list-cards.has-cards-unstyled .card .card-title {font-size:18px;margin-bottom:10px;}
  .block-list-cards.has-cards-unstyled .card .text .list-group {flex-direction:row;flex-wrap:wrap;gap:10px 15px;}

  /* Block > List Cards > Inline */
  .block-list-cards-inline .card {padding:20px 0;}
  .block-list-cards-inline .card .card-bg {margin-bottom:15px;}
  .block-list-cards-inline .card .card-title {font-size:22px;}
  .block-list-cards-inline .card .text {margin-bottom:15px;}

  /* Block > Call to Action */
  .block-cta {--section-padding-y:30px;}
  .block-cta .section-title h3, .block-cta .section-title .is-h3 {font-size:28px;}

  /* Block > Counter */
  .block-counter .counter-head .counter {font-size:50px;}
  .block-counter .counter-head .counter-text {font-size:30px;}

  /* Block > List Values */
  .block-list-values .content-container {margin-top:0;}
  .block-list-values .item-list {padding-bottom:30px;}
  .block-list-values .item-list + .item-list {padding-top:30px;}
  .block-list-values .item-list > .row {--bs-gutter-y:15px;}
  .block-list-values .item-list .section-title {opacity:1 !important;}
  .block-list-values .item-list .img-container {pointer-events:all;opacity:1 !important;}
  .block-list-values .item-list .img-container .img-fluid {position:relative;top:unset;left:unset;right:unset;transform:none;}
  .block-list-values .item-list .text {opacity:1 !important;}

  /* Block > List Values > Simple */
  .block-list-values-simple .content-container {margin-top:0;}
  .block-list-values-simple .item-list {padding-bottom:30px;}
  .block-list-values-simple .item-list + .item-list {padding-top:30px;}
  .block-list-values-simple .item-list > .row {--bs-gutter-y:15px;}

  /* Block > Google Maps */
  .block-gmap {--map-height:300px;}
  .block-gmap .badges-container {margin-top:15px;gap:10px;}

}

/* Smartphone Landscape 
@media only screen and (min-width:480px) and (max-width:767px){
}
*/

/* Tablet */
@media only screen and (min-width:768px) and (max-width:991px) {

  /* Block > Carousel > Main */
  .block-carousel-main .card-bg {height:470px;}
  .block-carousel-main .section-title .img-fluid {height:100px;}

  /* Block > 2 Columns > Text + Video full width */
  .block-2-columns-text-and-video-full-width .block-video {position:relative;background-repeat:no-repeat;top:0;height:100%;z-index:0;width:100%;height:400px !important;background-position:center center;}	
  .block-2-columns-text-and-video-full-width .block-video.video--right {right:unset;left:unset;}
  .block-2-columns-text-and-video-full-width .block-video.video--left {left:unset;right:unset;}
  .block-2-columns-text-and-video-full-width .block-video .wrap video, .block-2-columns-text-and-video-full-width .block-video .wrap iframe {height:400px!important;}

  /* Block > 2 Columns > Form */
  .block-form-2-columns .text {text-align:center;}

  /* Block > List Cards */
  .block-list-cards .card .card-body {padding:20px;}
  .block-list-cards .card .card-title {font-size:30px;margin-top:60px;}
  .block-list-cards .card .card-intro {font-size:45px;}

  /* Block > List Cards > Inline */
  .block-list-cards-inline .card .card-bg {aspect-ratio:unset;height:170px;}
  .block-list-cards-inline .card .card-title {font-size:28px;}

  /* Block > Call to Action */
  .block-cta .section-title h3, .block-cta .section-title .is-h3 {font-size:35px;}

  /* Block > Counter */
  .block-counter .counter-head .counter {font-size:65px;}
  .block-counter .counter-head .counter-text {font-size:40px;}

  /* Block > List Values */
  .block-list-values .item-list {padding-bottom:30px;}
  .block-list-values .item-list + .item-list {padding-top:30px;}
  .block-list-values .item-list .section-title {opacity:1 !important;}
  .block-list-values .item-list .img-container {pointer-events:all;opacity:1 !important;}
  .block-list-values .item-list .img-container .img-fluid {position:relative;top:unset;left:unset;right:unset;transform:none;}
  .block-list-values .item-list .text {opacity:1 !important;}
  
  /* Block > List Values > Simple */
  .block-list-values-simple .item-list {padding-bottom:30px;}
  .block-list-values-simple .item-list + .item-list {padding-top:30px;}

}

/* Tablet Landscape */
@media only screen and (min-width:992px) and (max-width:1199px) {

  /* Block > Carousel > Main */
  .block-carousel-main .card-bg {height:700px;}
  .block-carousel-main .section-title .img-fluid {height:150px;}

  /* Block > Counter */
  .block-counter .counter-head .counter {font-size:65px;}
  .block-counter .counter-head .counter-text {font-size:40px;}

  /* Block > List Cards */
  .block-list-cards .card .card-body {padding:20px;}
  .block-list-cards .card .card-title {font-size:30px;margin-top:70px;}
  .block-list-cards .card .card-intro {font-size:50px;}

  /* Block > List Cards > Inline */
  .block-list-cards-inline .card .card-title {font-size:30px;}

  /* Block > Call to Action */
  .block-cta .section-title h3, .block-cta .section-title .is-h3 {font-size:40px;}

}

/* Laptop 13' - 1366x768 Non-Retina */
@media only screen and (min-width:1200px) and (max-width:1366px) {

  /* Block > Carousel > Main */
  .block-carousel-main .card-bg {height:700px;}

  /* Block > Counter */
  .block-counter .counter-head .counter {font-size:65px;}
  .block-counter .counter-head .counter-text {font-size:40px;}

}

/* Laptop 4:3 - 1440x1080 */
@media only screen and (min-width:1367px) and (max-width:1440px) {
}